Bug 634944 - rpmlint errors and warnings
rpmlint errors and warnings
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Dave Malcolm
Petr Šplíchal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-17 08:08 EDT by Alexander Todorov
Modified: 2016-05-31 21:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-2.6.6-6.el6
Doc Type: Bug Fix
Doc Text:
A harmless but unnecessary RPATH directive from the _sqlite3.so module was removed. "Executability" bits and "shebang" lines from .py files within the standard library that did not require these lines were also removed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 07:36:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2010-09-17 08:08:44 EDT
Description of problem:
rpmlint shows errors and warnings

Version-Release number of selected component (if applicable):
python-2.6.5-3.el6.x86_64.rpm 

How reproducible:
Always

Steps to Reproduce:
1. run rpmlint *.rpm
2.
3.
  
Actual results (as shown by rpmlint):
# rpmlint python-2.6.5-3.el6.x86_64.rpm 
python.x86_64: I: enchant-dictionary-not-found en_US
python.x86_64: W: obsolete-not-provided python-elementtree
python.x86_64: W: self-obsoletion Distutils obsoletes Distutils
python.x86_64: W: self-obsoletion python2 obsoletes python2 = 2.6.5
python.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.6/lib-dynload/_sqlite3.so ['/usr/lib64']
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_ssl.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/grpmodule.so 0555L
python.x86_64: E: non-executable-script /usr/lib64/python2.6/trace.py 0644L /usr/bin/env
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/timemodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_csv.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/dlmodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/cStringIO.so 0555L
python.x86_64: E: python-bytecode-inconsistent-mtime /usr/lib64/python2.6/distutils/sysconfig.pyo 2010-07-14T11:36:18 /usr/lib64/python2.6/distutils/sysconfig.py 2010-07-14T11:36:24
python.x86_64: E: python-bytecode-inconsistent-mtime /usr/lib64/python2.6/distutils/sysconfig.pyc 2010-07-14T11:36:18 /usr/lib64/python2.6/distutils/sysconfig.py 2010-07-14T11:36:24
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/termios.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/binascii.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/mathmodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/zlibmodule.so 0555L
python.x86_64: E: non-executable-script /usr/lib64/python2.6/timeit.py 0644L /usr/bin/env
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_codecs_cn.so 0555L
python.x86_64: E: non-executable-script /usr/lib64/python2.6/bsddb/dbshelve.py 0644L /usr/bin/env
python.x86_64: W: devel-file-in-non-devel-package /usr/include/python2.6/pyconfig-64.h
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_bsddb.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/nismodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_collectionsmodule.so 0555L
python.x86_64: E: non-executable-script /usr/lib64/python2.6/idlelib/PyShell.py 0644L /usr/bin/env
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/imageop.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/linuxaudiodev.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/operator.so 0555L
python.x86_64: E: script-without-shebang /usr/lib64/python2.6/runpy.py
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_weakref.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/fcntlmodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/mmapmodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/cPickle.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/stropmodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_bisectmodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/audioop.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_socketmodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/spwdmodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/cmathmodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/gdbmmodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_codecs_iso2022.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_codecs_kr.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_multibytecodecmodule.so 0555L
python.x86_64: E: non-executable-script /usr/lib64/python2.6/encodings/rot_13.py 0644L /usr/bin/env
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/selectmodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/resource.so 0555L
python.x86_64: E: non-executable-script /usr/lib64/python2.6/Cookie.py 0644L /usr/bin/env
python.x86_64: E: script-without-shebang /usr/lib64/python2.6/idlelib/idle.bat
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_localemodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_codecs_hk.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_codecs_jp.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/cryptmodule.so 0555L
python.x86_64: E: non-executable-script /usr/lib64/python2.6/difflib.py 0644L /usr/bin/env
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/timingmodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_struct.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/parsermodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_codecs_tw.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/xxsubtype.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/itertoolsmodule.so 0555L
python.x86_64: E: non-executable-script /usr/lib64/python2.6/unittest.py 0644L /usr/bin/env
python.x86_64: E: non-executable-script /usr/lib64/python2.6/tarfile.py 0644L /usr/bin/env
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/unicodedata.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/readline.so 0555L
python.x86_64: E: non-executable-script /usr/lib64/python2.6/webbrowser.py 0644L /usr/bin/env
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_randommodule.so 0555L
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/_functoolsmodule.so 0555L
python.x86_64: E: script-without-shebang /usr/lib64/python2.6/fractions.py
python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/arraymodule.so 0555L
1 packages and 0 specfiles checked; 64 errors, 4 warnings.


Additional info:
run rpmlint -i for verbose information and hints about those errors and warnings
Comment 2 Dave Malcolm 2011-01-18 18:54:50 EST
Cleaning up formatting and sorting.

Which version of rpmlint are you using?

> python.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python2.6/lib-dynload/_sqlite3.so ['/usr/lib64']
Inconsequential; appears to be due to setup.py passing in:
                                  runtime_library_dirs=sqlite_libdir,
which is where the rpath comes from.

$ eu-readelf -d /usr/lib64/python2.6/lib-dynload/_sqlite3.so | grep RPATH
  RPATH             Library rpath: [/usr/lib64]

I've fixed this in python-2.6.6-6.el6


> python.x86_64: E: non-executable-script /usr/lib64/python2.6/Cookie.py 0644L /usr/bin/env
  (and about 10 others of these)

Inconsequential, but should now be fixed in python-2.6.6-6.el6


> python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/lib-dynload/arraymodule.so 0555L
   (and about 40 others of these)
Inconsequential: these are "r-xr-xr-x" which seems reasonable.


> python.x86_64: E: python-bytecode-inconsistent-mtime /usr/lib64/python2.6/distutils/sysconfig.pyc 2010-07-14T11:36:18 /usr/lib64/python2.6/distutils/sysconfig.py 2010-07-14T11:36:24
> python.x86_64: E: python-bytecode-inconsistent-mtime /usr/lib64/python2.6/distutils/sysconfig.pyo 2010-07-14T11:36:18 /usr/lib64/python2.6/distutils/sysconfig.py 2010-07-14T11:36:24

These would actually be a minor problem, but I didn't see them on my machine, and they don't seem to be present in the latest build.  Do you still see this?


> python.x86_64: E: script-without-shebang /usr/lib64/python2.6/fractions.py
> python.x86_64: E: script-without-shebang /usr/lib64/python2.6/idlelib/idle.bat
> python.x86_64: E: script-without-shebang /usr/lib64/python2.6/runpy.py

Inconsequential.  I've removed executability from .py files that lack shebangs in python-2.6.6-6.el6
I've also removed idle.bat and ctypes/macholib/fetch_macholib.bat (DOS batch files)


> python.x86_64: I: enchant-dictionary-not-found en_US
Looks like a bug at your end.


> python.x86_64: W: devel-file-in-non-devel-package /usr/include/python2.6/pyconfig-64.h
This file is required at runtime by distutils.


> python.x86_64: W: obsolete-not-provided python-elementtree
> python.x86_64: W: self-obsoletion Distutils obsoletes Distutils
> python.x86_64: W: self-obsoletion python2 obsoletes python2 = 2.6.5
Inconsequential, I believe
Comment 6 Laura Bailey 2011-05-09 20:44:55 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A harmless but unnecessary RPATH directive from the _sqlite3.so module was removed. "Executability" bits and "shebang" lines from .py files within the standard library that did not require these lines were also removed.
Comment 7 errata-xmlrpc 2011-05-19 07:36:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0554.html
Comment 8 errata-xmlrpc 2011-05-19 09:07:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0554.html

Note You need to log in before you can comment on or make changes to this bug.